GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
scoped_restore_current_inferior Class Reference

`#include "inferior.h"`

## Public Member Functions
| scoped_restore_current_inferior ()
| ~scoped_restore_current_inferior ()
| DISABLE_COPY_AND_ASSIGN (scoped_restore_current_inferior)

## Private Attributes
inferior * | m_saved_inf

## Detailed Description

Definition at line 529 of file inferior.h.

## Constructor & Destructor Documentation

## ◆ scoped_restore_current_inferior()

scoped_restore_current_inferior::scoped_restore_current_inferior | ( |  | ) |
| inline

Definition at line 532 of file inferior.h.

## ◆ ~scoped_restore_current_inferior()

scoped_restore_current_inferior::~scoped_restore_current_inferior | ( |  | ) |
| inline

Definition at line 536 of file inferior.h.

References m_saved_inf, and set_current_inferior().

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

scoped_restore_current_inferior::DISABLE_COPY_AND_ASSIGN | ( | scoped_restore_current_inferior |  | ) |

## Member Data Documentation

## ◆ m_saved_inf

inferior* scoped_restore_current_inferior::m_saved_inf
| private

Definition at line 542 of file inferior.h.

Referenced by ~scoped_restore_current_inferior().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/inferior.h